//  Control panels for simple demonstration programs.  The format is
//
//	+-----------------------------------------------+
//	|		      Title			|
//	|		(one or two lines)		|
//	|-----------------------------------------------|
//	|   Parameter	|  Grid of	|     title 	|
//	|     panel	| control items	|  checkboxes	|
//	|-----------------------------------------------|
//	|    <blank>	| specified for	|    Button	|
//	|		|  application	|		|
//	+-----------------------------------------------+
//
//  Typical program to define controls (in a container) is
//
//	Control ctrl;
//	...
//	Make parameters, checkbox groups, buttons, etc.
//	...
//	ctrl = new Control(3,2);  add(ctrl);
//	ctrl.init();
//	ctrl.title("line1" {, "Line2"} );
//	ctrl.addItem(parameter);
//	ctrl.addItem("title", ...);
//	ctrl.addItem("title", checkboxgroup);
//	ctrl.addBlank();
//	ctrl.addItem(:title, ...);
//	ctrl.addItem(button);		// No title
//	


import java.awt.*;

public class Control extends Panel
{ 
  int rows, cols;	// Control grid dimensions (panels)

  Panel tp, cp;		// Title, controls

  Control(int grows, int gcols)
   { rows = grows;  cols = gcols;
     setLayout(new BorderLayout());
     tp = new Panel();  add("North",  tp);
     tp.setLayout(new BorderLayout());
     cp = new Panel();  add("Center", cp);
     cp.setLayout(new GridLayout(rows, cols));
   }

  public void title(String ttl)
   { tp.add("North", new Label(ttl)); }

  public void title(String ttl1, String ttl2)
   { tp.add("North", new Label(ttl1));
     tp.add("South", new Label(ttl2));
   }

  public void addItem(String ttl, Component obj)
   { Panel ip = new Panel();
     cp.add(ip);
     ip.setLayout(new BorderLayout());
     ip.add("North", new Label(ttl));
     ip.add("Center", obj);
   }

  public void addItem(Component obj)
   { cp.add(obj); }

  public void addBlank()
   { cp.add(new Panel()); }

}
