//  Interface for unspecialized, one-step ODE solvers.

public interface Solver1
{ 
 //  Perform n steps of "time" h starting from time t0 with initial
 //  state X0.  Returns final (approximate) state at time t0 + n*h.
 //  `diff' is a Differential defining the equation.

 public float[] nstep(Differential diff, float[]X0, float t0,
		      int n, float h);

}

