//  Modified Euler solver for unspecialized systems:
//  Plots every solution except result using supplied VPlotter.

public class ModEuler implements Solver1
{
 public float[] nstep(Differential diff, float[]X0, float t0,
		             int n, float h, VPlotter plt)
  { int u = X0.length;

    float Xc[] = new float[u],  Z[],  h2 = 0.5F*h;

    // Initialize current solution:
    for ( int j = 0;  j < u;  j++ ) Xc[j] = X0[j];
    for ( int i = 1;  i <= n;  i++ )
     { float t = t0 + i*h;			// Current time
       plt.plot(Xc, t);
       Z = diff.deriv(Xc, t);			// Derivative at t
       // Approx midpoint solution:
       for ( int j = 0;  j < u;  j++ ) Z[j] = Xc[j] + h2*Z[j];
       Z = diff.deriv(Z, t + h2);		// Derivative at midpoint
       // Next solution:
       for ( int j = 0;  j < u;  j++ ) Xc[j] += h*Z[j];
     }
    return Xc;
  }
}