/*  Elementary testing for Grnspan.java				*/
/*  Current version uses 6-body solar-system problem in g6b.dat	*/
/*				Ernest Sibert - February 1996	*/

import Grnspan;

public class Gtest
 { static Grnspan solar = new Grnspan(6, 0.0);  
   static int iters;

 public static void main(String arg[])
 { solar.loadBodies("g6b.dat");
   solar.initInteg(0.01, 1.0E-8, 10);
   System.out.println(solar.Nc+" bodies  deltat = "+solar.deltat
			           +"   epsilon = "+solar.epsilon);
   System.out.println();
   System.out.println("Time:  "+solar.stime);
   System.out.println("Positions, velocities:");
   solar.printState(solar.X0, solar.V0);
   for ( int k = 1;  k <= 5;  k++ )	/* One year of solar system	*/
    { iters = solar.nSteps(20);		/* 0.20 years			*/
      System.out.println();
      System.out.println("Time: "+solar.stime+"   iterations: "+iters
				 +",  "+solar.fail+" failures");
      solar.printState(solar.X0, solar.V0);
    /*  System.out.println("Last Ac, previous V");	*/
    /*  solar.printState(solar.Ac, solar.V1);		*/
    }
 }
}

  